# DetectBarcodeFromImageParams class

Annotations
  - @JsonSerializable(includeIfNull: false, explicitToJson: true)

## Constructors

DetectBarcodeFromImageParams(Uri? uri, List<BarcodeFormat> barcodeFormats, List<BarcodeDocumentFormat> acceptedDocumentFormats)
DetectBarcodeFromImageParams.fromJson(Map<String, dynamic> json)
  factory
DetectBarcodeFromImageParams.fromMultiple(List<Uri>? uris, List<BarcodeFormat> barcodeFormats, List<BarcodeDocumentFormat> acceptedDocumentFormats)
  constructor overloading is acheived by giving it a name Below consturctor is used for multiple images

## Properties

acceptedDocumentFormats ↔ List<BarcodeDocumentFormat>
  Barcode document formats which need to be recognized.
  read / write
barcodeFormats ↔ List<BarcodeFormat>
  Barcode formats which need to be recognized.
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
uri ↔ Uri?
  File or content uri
  read / write
uris ↔ List<Uri>?
  List of multiple file or content uri
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited